apiVersion: operator.kubermatic.io/v1alpha1
kind: KubermaticConfiguration
metadata:
    name: kubermatic
    namespace: kubermatic
spec:
    ingress:
        domain: start-kkp-demo.lab.kubermatic.io
        certificateIssuer:
            apiGroup: null
            kind: ClusterIssuer
            name: letsencrypt-prod
        className: nginx
    auth:
        clientID: kubermatic
        issuerClientID: kubermaticIssuer
        skipTokenIssuerTLSVerify: true
        tokenIssuer: https://start-kkp-demo.lab.kubermatic.io/dex
        issuerClientSecret: ENC[AES256_GCM,data:tNdtdOy3681usd94rTm4PbEERHDkE/5qp3/cjHfOthA=,iv:UQfg/+6BX8kaj66bSEoF9JlCjHKCPeLeqhHTsi46MSo=,tag:HeQMo1hGMt0zmPP6HqplZw==,type:str]
        issuerCookieKey: ENC[AES256_GCM,data:VvkryOU2nbSRKOly6vsINLpvVTpNB8o+2tY7MhExbuA=,iv:abqZhZN+D/pVFH78HXYVbDJoNviP/B1uP/6mFHlp/BA=,tag:cIq3Up/UQI5ujrv4ooyHZg==,type:str]
        serviceAccountKey: ENC[AES256_GCM,data:X90bu0RGqZ0numx8clpoWYR0Wf+VdNRZvcRn6OOQLXY=,iv:w38fcGRxT3noIIy79vX7nC80uog1CijxBCrNPbgDoqY=,tag:w2c9fby2TF3hntepy+d6Hw==,type:str]
        issuerRedirectURL: https://start-kkp-demo.lab.kubermatic.io/api/v1/kubeconfig
    featureGates:
        # exposes an HTTP endpoint for generating kubeconfig
        # for a cluster that will contain OIDC tokens
        OIDCKubeCfgEndpoint:
            enabled: false
        # configures the flags on the API server to use
        # OAuth2 identity providers
        OpenIDAuthPlugin:
            enabled: false
    ui:
        # enable shared kubeconfig feature in the dashboard
        config: |-
            {
              "share_kubeconfig": false
            }
    # disable default ETCD backups for user clusters (this is old way of configuring backup controllers up to 2.18)
    # with 2.19+ new controllers for backups are not activated until backup destinations are defined on Seed resource
    seedController:
        backupRestore:
            enabled: false
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1slum720glmcuk7dvh6h2lv80kccqr5mvf9q2ygf8q5psvjkhvursgwms2g
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSAzcXNJZGRNWWVrNW95d2R0
            UmRnUVJyT2h6clNuRjZvSkx6UXNlMVEzQkRjCis4TVhRWVc3ckdOSHM5RXg0Y1Bx
            WHI3dXRPUjRJRUhHblBwQU40S3orTmcKLS0tIHdpMEpWTWNSeFgwYStOSmlETzRT
            S3Z3ZjBZUDBnYkIvcDJzQWZTV2crTU0KEt7RdjrZn0uACBvqGykM/dloa0BP4X/4
            IJSaDJq1xSeiIPSFnLDEwAZlsOT492bftgBKGJ8g7dS4+YGYzffaUQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2022-02-28T08:57:39Z"
    mac: ENC[AES256_GCM,data:rnNKCqs59/dAofBLFg2cXmKEdACAlEAh59zAvKmJaeSlPn69JzD2eH9S0kiIKClGcJQ9M/mheSWjQ/556Bmn7GEYMYEHAi/OVRBOkzavblxqkWa+Qtp6okbgjbYOjmXeM7VwgB4wwjsGdY+C1uItS6NowJFhqy+gy7MlRAawSo8=,iv:FkUQMGTcwPzU+wnrqkVgEN/AfTn3J7ROEOYey18EZm0=,tag:ZBRkgoV7NAgXxX3u40kw1A==,type:str]
    pgp: []
    encrypted_regex: (issuerClientSecret|issuerCookieKey|serviceAccountKey)
    version: 3.7.1
